import java.io.BufferedReader;
import java.io.Console;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author  NAME
 */
public class JobScheduling {
    private void run() {
        //Löschen Sie den nachfolgenden Test und Schreiben Sie Ihre Implementierung.
        //Test
        for (Job j : jobs) {
            System.out.printf("#%d, %d, %d, %d, %s%n",
                              j.id, j.duration, j.deadline,
                              j.machine, j.previous);
        }
    }



    //--[Framework]-------------------------------------------------------------
    private final List<Job> jobs;
    private JobScheduling(List<Job> jobs) {this.jobs = jobs; }
    public static void main(String[] args) throws IOException { new JobScheduling(parseInput()).run(); }
    private static List<Job> parseInput() throws IOException {
        BufferedReader c = new BufferedReader(new InputStreamReader(System.in));
        String tmp;
        int id = 0;
        List<Job> jobs = new ArrayList<>(1024);
        while ((tmp = c.readLine()) != null) {
            List<Integer> values = Arrays.stream(tmp.split(","))
                .map(String::trim)
                .map(Integer::parseInt)
                .collect(Collectors.toList());

            Job j = new Job();
            j.id = ++id;
            j.duration = values.get(0);
            j.deadline = values.get(1);
            j.machine = values.get(2);
            for (int i = 3; i < values.size(); i++)
                j.previous.add(values.get(i));
            jobs.add(j);
        }
        return jobs;
    }
}

class Job {
    int id, deadline, duration, machine;
    List<Integer> previous = new ArrayList<>();
}
//--[/Framework]------------------------------------------------------------
