;; auftragsplanung.smt2 -- Abgabe WS18/10 Formale Systeme
;; Name:        TODO
;; Matrikelnr:  TODO


;; --[Signatur]-----------------------------------------------------------------

;;; Verwenden Sie declare-fun, define-fun, und declare-const um die Signatur
;;; festzulegen.


;; Eine Menge J = {j 1 , ..., j n } von Aufträgen wobei
;; • t_i ∈ N die Dauer,
;; • m_i ∈ N die zugewiesene Maschine,
;; • d_i ∈ N der Fälligkeitstermin (deadline)
;; des i-ten Auftrags ist.
;; Sei ≺ eine Halbordnung, sodass i ≺ j gdw. Auftrag i vor den Auftrag j fertig
;; gestellt sein muss.



;; --[/Signatur]----------------------------------------------------------------

;; --[Constraints]--------------------------------------------------------------

;;; Schreiben Sie hier die (assert ...) Anweisungen.

;; Ausgabe
;; Startdatum b_i für jeden Auftrag $i$, sodass
;; • das Fälligkeitsdatum jedes Auftrages b_i + t_i ≤ d_i eingehalten wird,
;; • zu jedem Zeitpunkt maximal nur ein Auftrag auf jeder Maschine läuft.
;; • kein Auftrag gestartet wird, bevor alle seine Vorgänger fertig gestellt
;;   wurden, und
;; • es keine Arbeitspausen gibt, d.h. zu jedem Zeitpunkt existiert ein Auftrag,
;;   der abgearbeitet
;; wird (oder alle Aufträge sind erfüllt).

;; --[/Constraints]-------------------------------------------------------------

;; --[Objectives]---------------------------------------------------------------

;;; Mit Z3 lassen sich auch Optimierungsprobleme definieren:
;;; Siehe hierzu: https://rise4fun.com/Z3/tutorialcontent/optimization


;; Maß 1 (Zusatz) Gesucht ist das Schedueling, dass die minimale
;; Durchführungsdauer hat.

;; Maß 2 (Zusatz) Die Fälligkeitsdaten sind nun weiche Kriterien: Wir suchen die
;; Auftragsplanung, in dem die maximale Verspätung ( Lateness) minimal ist.

;; --[/Objectives]-------------------------------------------------------------
