;; N = 10: total-time:  1.76
;; N = 11: total-time:  0.83
;; N = 12: total-time:  3.14
;; N = 13: total-time:  0.64
;; N = 14: total-time:  0.92
;; N = 15: total-time: 72.91
;; N = 16: total-time:  7.93
;; N = 17: total-time:  6.34
;; N = 23: total-time: 16.65

(define-fun N () Int 23)

(declare-fun v (Int Int) Bool)

;;------------------------------------------------------------------------------

;; Every column has a queen
(assert (forall ((col Int))
                (=> (and (>= col 1) (<= col N))
                   (exists ((row Int)) (and (>= row 1) (<= row N) (v row col))))))

;; One queen per row
(assert (forall ((r Int) (c Int))
                (=> (v r c)
                   (forall ((s Int))
                           (=> (distinct r s)
                              (not (v s c)))))))

;; one queen per column
(assert (forall ((r Int) (c Int))
                (=> (v r c)
                   (forall ((d Int))
                           (=> (distinct c d)
                              (not (v r d)))))))

(assert (forall ((r Int) (c Int))
                (=> (v r r)
                   (forall ((s Int) (d Int))
                           (=> (and (distinct r s) (distinct c d)
                                   (= (- r s) (- c d)))
                              (not (v s d)))))))

(check-sat)
(get-model)

(get-value (N))
;(get-value ((v 1 1) (v 2 1) (v 3 1) (v 4 1) (v 5 1)
;            (v 6 1) (v 7 1) (v 8 1) (v 9 1) (v 10 1)))
